# Class FunctionParameterAttribute

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Attribute to describe a function parameter.

    [AttributeUsage(AttributeTargets.Parameter)]
    public sealed class FunctionParameterAttribute : Attribute

Inheritance
  object
  Attribute
  FunctionParameterAttribute

Inherited Members
  Attribute.Equals(object)
  Attribute.GetCustomAttribute(Assembly, Type)
  Attribute.GetCustomAttribute(Assembly, Type, bool)
  Attribute.GetCustomAttribute(MemberInfo, Type)
  Attribute.GetCustomAttribute(MemberInfo, Type, bool)
  Attribute.GetCustomAttribute(Module, Type)
  Attribute.GetCustomAttribute(Module, Type, bool)
  Attribute.GetCustomAttribute(ParameterInfo, Type)
  Attribute.GetCustomAttribute(ParameterInfo, Type, bool)
  Attribute.GetCustomAttributes(Assembly)
  Attribute.GetCustomAttributes(Assembly, bool)
  Attribute.GetCustomAttributes(Assembly, Type)
  Attribute.GetCustomAttributes(Assembly, Type, bool)
  Attribute.GetCustomAttributes(MemberInfo)
  Attribute.GetCustomAttributes(MemberInfo, bool)
  Attribute.GetCustomAttributes(MemberInfo, Type)
  Attribute.GetCustomAttributes(MemberInfo, Type, bool)
  Attribute.GetCustomAttributes(Module)
  Attribute.GetCustomAttributes(Module, bool)
  Attribute.GetCustomAttributes(Module, Type)
  Attribute.GetCustomAttributes(Module, Type, bool)
  Attribute.GetCustomAttributes(ParameterInfo)
  Attribute.GetCustomAttributes(ParameterInfo, bool)
  Attribute.GetCustomAttributes(ParameterInfo, Type)
  Attribute.GetCustomAttributes(ParameterInfo, Type, bool)
  Attribute.GetHashCode()
  Attribute.IsDefaultAttribute()
  Attribute.IsDefined(Assembly, Type)
  Attribute.IsDefined(Assembly, Type, bool)
  Attribute.IsDefined(MemberInfo, Type)
  Attribute.IsDefined(MemberInfo, Type, bool)
  Attribute.IsDefined(Module, Type)
  Attribute.IsDefined(Module, Type, bool)
  Attribute.IsDefined(ParameterInfo, Type)
  Attribute.IsDefined(ParameterInfo, Type, bool)
  Attribute.Match(object)
  Attribute.TypeId
  object.Equals(object, object)
  object.GetType()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### FunctionParameterAttribute(string, string, bool)

Initializes a new instance of the FunctionParameterAttribute class.

    public FunctionParameterAttribute(string description, string name = "", bool required = false)

#### Parameters

`description` string

  The description of the parameter.

`name` string

  The name of the parameter.

`required` bool

  Whether the parameter is required.

## Properties

### Description

The description of the parameter.

    public string Description { get; }

#### Property Value

string

### Name

The name of the parameter.

    public string Name { get; }

#### Property Value

string

### Required

Whether the parameter is required.

    public bool Required { get; }

#### Property Value

bool